package com.sun.media.sound;

import java.util.ArrayList;
import java.util.List;

public final class DLSRegion
{
    public static final int OPTION_SELFNONEXCLUSIVE = 1;
    List<DLSModulator> modulators;
    int keyfrom;
    int keyto;
    int velfrom;
    int velto;
    int options;
    int exclusiveClass;
    int fusoptions;
    int phasegroup;
    long channel;
    DLSSample sample;
    DLSSampleOptions sampleoptions;
    
    public DLSRegion() {
        this.modulators = new ArrayList();
        this.sample = null;
    }
    
    public List<DLSModulator> getModulators() {
        return this.modulators;
    }
    
    public long getChannel() {
        return this.channel;
    }
    
    public void setChannel(long channel) {
        this.channel = channel;
    }
    
    public int getExclusiveClass() {
        return this.exclusiveClass;
    }
    
    public void setExclusiveClass(int exclusiveClass) {
        this.exclusiveClass = exclusiveClass;
    }
    
    public int getFusoptions() {
        return this.fusoptions;
    }
    
    public void setFusoptions(int fusoptions) {
        this.fusoptions = fusoptions;
    }
    
    public int getKeyfrom() {
        return this.keyfrom;
    }
    
    public void setKeyfrom(int keyfrom) {
        this.keyfrom = keyfrom;
    }
    
    public int getKeyto() {
        return this.keyto;
    }
    
    public void setKeyto(int keyto) {
        this.keyto = keyto;
    }
    
    public int getOptions() {
        return this.options;
    }
    
    public void setOptions(int options) {
        this.options = options;
    }
    
    public int getPhasegroup() {
        return this.phasegroup;
    }
    
    public void setPhasegroup(int phasegroup) {
        this.phasegroup = phasegroup;
    }
    
    public DLSSample getSample() {
        return this.sample;
    }
    
    public void setSample(DLSSample sample) {
        this.sample = sample;
    }
    
    public int getVelfrom() {
        return this.velfrom;
    }
    
    public void setVelfrom(int velfrom) {
        this.velfrom = velfrom;
    }
    
    public int getVelto() {
        return this.velto;
    }
    
    public void setVelto(int velto) {
        this.velto = velto;
    }
    
    public void setModulators(List<DLSModulator> modulators) {
        this.modulators = modulators;
    }
    
    public DLSSampleOptions getSampleoptions() {
        return this.sampleoptions;
    }
    
    public void setSampleoptions(DLSSampleOptions sampleoptions) {
        this.sampleoptions = sampleoptions;
    }
}
